/**

 * @param {Object} text  文字设置
 * [diy] 是否自定义 [false默认 true自定义]
 * [fontSize] 字体大小 number [d === true]
 * [color] 文字颜色 #ffffff [d === true]
 * [show] 文字是否显示 [true隐藏 false显示]
 * [b] 是否加粗 [true是 false否]
 * [i] 是否斜体 [true是 false否]
 * [u] 有下划线 [true是 false否]
 * text对齐方式
 * option:透明度
 * WritingMode:是否竖排
 * spacing:字间距
 * 行距
 */
const Font = {
  FontFamily: "",
  FontColor: "#333",
  FontSize: 14,
  B: false,
  I: false,
  U: false,
  D: false,
  TextAlign: "center",
  option: 0,
  WritingMode: "vertical-lr",
  LineHeight: 1.5,
  spacing: 0,
  FontWeight: 500,
};
// 边框
/**
 * 样式
 * 颜色
 * 尺寸 边框粗细
 * 圆角 BR 1 2 3 4
 *
 */
// const

const Border = {
  BStyle: "solid",
  BColor: "#333",
  BWidth: 1,
  BR1: 0,
  BR2: 0,
  BR3: 0,
  BR4: 0,
};
// 动画
let AnimationList = [];

// 时间
let time = new Date().getTime();

let text = {
  title: "自定义",
  fontSize: "14px",
  color: "#333",
  diy: false,
  show: false,
  b: false,
  i: false,
  u: false,
};
/**
 * @param {Object} img
 * [show] 1默认 2隐藏 3自定义
 * [def] 默认图片
 * [diyimg] 自定义的图片
 */
// const defaultimg = 'https://zb-prod.oss-cn-shenzhen.aliyuncs.com/resources/webResource/div/img.jpg';
let defaultimg = require("@/assets/images/img.jpg");
let img = {
  show: 1,
  def: defaultimg,
  diyimg: "",
};
// 边距
// 上 左 右 下
let margin = [0, 0, 0, 0];
/**
 * 全局样式设置
 * 背景类型bgtype
 * bg;背景颜色
 * bgtype=1默认背景
 * bgtype=2隐藏背景
 * bgtype=3自定义
 * bgshow 是否显示背景图片
 * imageUrl 图片路径,
 * m
 * p
 */
let PageGlobal = {
  transparency: 0,
  bg: "#fff",
  bgshow: false,
  imgshow: false,
  imageUrl: "",
  m: 10,
  p: 0,
  width: 375,
  height: 667,
};
/** 模块样式列表 */
let NavBar = {
  title: "标题", //标题
  titleColor: "#333",
  rightText: "搜索", //右侧文字
  rc: "#1261ff", //右侧颜色
  leftText: "返回", //左侧文字
  lc: "#1261ff", //左侧 颜色
  rightIcon: "", //右侧图标
  leftIcon: "arrow-left", //左侧箭头
  border: true, //是否显示下边框
  // fixed: false, //是否吸顶
  top: 0,
  left: 0,
  Font,
};
let Gird = {
  textShow: true, //是否 显示文字
  gutter: 3, //格子间距
  list: [
    {
      text: "文字", //文字
      icon: "photo-o", //图标
      imgUrl: "", //图片路径
      to: "", //跳转地址
    },
    {
      text: "文字",
      icon: "photo-o",
      imgUrl: "", //图片路径
      to: "",
    },
    {
      text: "文字",
      icon: "photo-o",
      imgUrl: "", //图片路径
      to: "",
    },
    {
      text: "文字",
      icon: "photo-o",
      imgUrl: "", //图片路径
      to: "",
    },
  ],
};
let Tabbar = {
  //是否固定在底部
  // fixed: true,
  // bottom:-667,
  // left:0,
  // 是否显示外边框
  border: true,
  // 是否开启路由
  router: true,
  // 选中标签颜色
  activeColor: "#1261ff",
  // 未选中颜色
  inactiveColor: "#666",
  // 激活项索引值
  index: 0,
  list: [
    {
      // 标签名称
      name: "1",
      // 跳转路由地址
      routerUrl: "/",
      // 图片地址
      imgUrl: "",
      // 当前项
      active: 0,
      icon: {
        active: "https://img01.yzcdn.cn/vant/user-active.png",
        inactive: "https://img01.yzcdn.cn/vant/user-inactive.png",
      },
    },
    {
      // 标签名称
      name: "2",
      // 跳转路由地址
      routerUrl: "/",
      // 图片地址
      imgUrl: "",
      active: 1,
      icon: {
        active: "https://img01.yzcdn.cn/vant/user-active.png",
        inactive: "https://img01.yzcdn.cn/vant/user-inactive.png",
      },
    },
    {
      // 标签名称
      name: "3",
      // 跳转路由地址
      routerUrl: "/",
      // 图片地址
      imgUrl: "",
      active: 2,
      icon: {
        active: "https://img01.yzcdn.cn/vant/user-active.png",
        inactive: "https://img01.yzcdn.cn/vant/user-inactive.png",
      },
    },
    {
      // 标签名称
      name: "4",
      // 跳转路由地址
      routerUrl: "/",
      // 图片地址
      imgUrl: "",
      active: 3,
      icon: {
        active: "https://img01.yzcdn.cn/vant/user-active.png",
        inactive: "https://img01.yzcdn.cn/vant/user-inactive.png",
      },
    },
  ],
};
let Swiper = {
  autoplay: 2000, // 间隔时间
  duration: 500, // 动画时长
  initialSwipe: 0, // 初始索引
  // width: "", // 滑块宽度
  // height: "", // 滑块高度
  loop: true, //循环播放
  showIndicators: true, // 显示指示器
  touchable: true, // 是否开启手势滑动
  stopPropagation: true, // 阻止滑动冒泡
  vertical: false, // 纵向滚动
  indicatorColor: "#1989fa", // 指示器颜色
  router: true, // 是否开启跳转
  list: [
    {
      // 图片路径
      imgUrl: "https://img01.yzcdn.cn/vant/apple-1.jpg",
      // 跳转地址
      url: "",
    },
    {
      // 图片路径
      imgUrl: "https://img01.yzcdn.cn/vant/apple-2.jpg",
      // 跳转地址
      url: "",
    },
    {
      // 图片路径
      imgUrl: "https://img01.yzcdn.cn/vant/apple-1.jpg",
      // 跳转地址
      url: "",
    },
    {
      // 图片路径
      imgUrl: "https://img01.yzcdn.cn/vant/apple-2.jpg",
      // 跳转地址
      url: "",
    },
  ],
};
let Input = {
  value: "", //输入内容
  label: "文字", // 左侧文本
  labelAlign: "left", //文本对齐方式
  inputAlign: "left", // 输入框对齐方式
  border: "transparent", //边框颜色
  // ##校验触发时机
  disabled: false, // 是否禁用输入框
  readonly: false, // 是否设置为只读
  maxlength: 16, // 最大字符数
  required: false, // 是否必填
  // rules: [], //校验规则
  place: "请输入文字", //提示文字
  leftIcon: "", //左侧图标
  rightIcon: "", //右侧图标
};
let Lotter = {
  // 奖品名
  // 奖品图片
  list: [
    {
      name: "",
      url: "https://img12.360buyimg.com/n1/jfs/t1/136439/8/23883/105002/62563eedE3dd083ab/271fad9ea432ce16.jpg.avif",
    },
    {
      name: "",
      url: "https://img12.360buyimg.com/n1/jfs/t1/136439/8/23883/105002/62563eedE3dd083ab/271fad9ea432ce16.jpg.avif",
    },
    {
      name: "",
      url: "https://img12.360buyimg.com/n1/jfs/t1/136439/8/23883/105002/62563eedE3dd083ab/271fad9ea432ce16.jpg.avif",
    },
    {
      name: "",
      url: "https://img12.360buyimg.com/n1/jfs/t1/136439/8/23883/105002/62563eedE3dd083ab/271fad9ea432ce16.jpg.avif",
    },
    {
      name: "",
      url: "https://img12.360buyimg.com/n1/jfs/t1/136439/8/23883/105002/62563eedE3dd083ab/271fad9ea432ce16.jpg.avif",
    },
    {
      name: "",
      url: "https://img12.360buyimg.com/n1/jfs/t1/136439/8/23883/105002/62563eedE3dd083ab/271fad9ea432ce16.jpg.avif",
    },
    {
      name: "",
      url: "https://img12.360buyimg.com/n1/jfs/t1/136439/8/23883/105002/62563eedE3dd083ab/271fad9ea432ce16.jpg.avif",
    },
    {
      name: "",
      url: "https://img12.360buyimg.com/n1/jfs/t1/136439/8/23883/105002/62563eedE3dd083ab/271fad9ea432ce16.jpg.avif",
    },
  ],
};
let Text = {
  // 是否显示图标
  showIcon: false,
  // 是否显示整体边框
  border: true,
  // 边框颜色
  bcolor: "#ff9700",
  // 边框距离文字距离上下 左右
  px: 10,
  py: 10,
  // 边框距离外部距离左右
  mx: 10,
  // 文本间 间距
  textMy: 10,
  // 文字颜色
  textColor: "#333",
  // 背景颜色
  bgcolor: "#fff",
  // 对齐方式
  textAlign: "",
  // 文本内容
  list: [
    {
      showTitle: true,
      title: "活动规则",
      text: "我是内容",
    },
  ],
};
let NoticeBar = {
  // 通知文本颜色
  text: "#333",
  // 右侧图标
  rightIcon: "",
  // 通知左侧图标
  leftIcon: "",
  // 滚动速率
  autoPlay: 3000,
  // 通知背景
  background: "#E4E7ED",
  // 宽
  w: 200,
  // 高
  h: 30,
  // 上下边距
  my: 10,
  // 圆角
  radius: 10,
  // 自定义内容####
  textList: ["内容一", "内容二", "内容三"],
};
let CountDown = {
  time: "20", //倒计时时长
  // 格式
  format: 0,
  // 毫秒级渲染
  // mill: true,
  // 背景颜色
  bgColor: "#333",
  // 文字颜色
  textColor: "red",
};
let List = {
  listBg: "#f9f9f9",
  // 列表项间距
  listm: 5,
  // 按钮
  // 背景 字体，圆角
  btnBg: "orange",
  fColor: "#fff",
  // btnRadius: 10,
  text: "点击领取",
};
let MallList = {
  // 是否介绍
  showDe: true,
  // 是否显示价格
  showPrice: true,
  list: [
    {
      url: "https://bizaladdin-image.baidu.com/0/pic/311847832_-447371938_-1361212092.jpg",
      title: "腾讯合约包",
      describe: "12GB流量合约包",
      //新价格
      newPrice: "0.01元/月",
      //划线价格
      delPrice: "9元/月",
    },
    {
      url: "https://bizaladdin-image.baidu.com/0/pic/311847832_-447371938_-1361212092.jpg",
      title: "腾讯合约包",
      describe: "12GB流量合约包",
      //新价格
      newPrice: "0.01元/月",
      //划线价格
      delPrice: "9元/月",
    },
    {
      url: "https://bizaladdin-image.baidu.com/0/pic/311847832_-447371938_-1361212092.jpg",
      title: "腾讯合约包",
      describe: "12GB流量合约包",
      //新价格
      newPrice: "0.01元/月",
      //划线价格
      delPrice: "9元/月",
    },
  ],
};
let Button = {
  // 类型选择
  type: 0,
  // 是否缩放
  zoom: true,
  // 背景
  bgColor: "#999",
  // 文字
  text: "文字",
  // 文字色
  textColor: "#fff",
  // 是否显示边框
  borderShow: true,
  // 边框色
  borderColor: "orange",
  // 字号
  fontSize: "14",
  // 宽高
  width: 80,
  height: 40,
  // 圆角
  radius: 10,
  // 是否开启弹窗
  popShow: true,
  // 弹窗
  pop: [
    {
      phone: "",
      code: "",
    },
    {
      title: "",
      text: "",
    },
  ],
};
const icontext = [
  {
    o: false,
    img,
    text: {
      t: "标题名称",
      ...text,
    },
  },
]; // 导航模块数据
const moduleList = [
  {
    title: "基础模块",
    list: [
      {
        compCode: "NavBar",
        compName: "导航栏",
        compIcon: "el-icon-edit",
        compDescribe: "",
        compStyle: {},
        compStyle: {
          ...NavBar,
          margin,
        },
        compData: {},
        operator: "",
        createTime: "",
        updateTime: "",
      },
      {
        compCode: "Gird",
        compName: "宫格",
        compIcon: "el-icon-s-grid",
        compDescribe: "",
        compConfig: {},
        compStyle: {
          ...Gird,
          margin,
          AnimationList,
        },
        compData: {},
        operator: "",
        createTime: "",
        updateTime: "",
      },
      {
        compCode: "Tabbar",
        compName: "标签栏",
        compIcon: "el-icon-takeaway-box",
        compDescribe: "",
        compConfig: {},
        compStyle: {
          ...Tabbar,
          margin,
        },
        compData: {},
        operator: "",
        createTime: "",
        updateTime: "",
      },

      {
        compCode: "Swiper",
        compName: "轮播",
        compIcon: "el-icon-takeaway-box",
        compDescribe: "",
        compConfig: {},
        compStyle: {
          ...Swiper,
          margin,
        },
        compData: {},
        operator: "",
        createTime: "",
        updateTime: "",
      },
      {
        compCode: "LotteryDraw",
        compName: "九宫格",
        compIcon: "el-icon-takeaway-box",
        compDescribe: "",
        compConfig: {},
        compStyle: {
          ...Lotter,
          margin,
        },
        compData: {},
        operator: "",
        createTime: "",
        updateTime: "",
      },
      {
        compCode: "TextList",
        compName: "文本",
        compIcon: "el-icon-takeaway-box",
        compDescribe: "",
        compStyle: {},
        compStyle: {
          ...Text,
          margin,
        },
        compData: {},
        operator: "",
        createTime: "",
        updateTime: "",
      },
      {
        compCode: "NoticeBar",
        compName: "通知条",
        compIcon: "el-icon-takeaway-box",
        compDescribe: "",
        compConfig: {},
        compStyle: {
          ...NoticeBar,
          margin,
        },
        compData: {},
        operator: "",
        createTime: "",
        updateTime: "",
      },
      {
        compCode: "Input",
        compName: "输入框",
        compIcon: "el-icon-takeaway-box",
        compDescribe: "",
        compConfig: {},
        compStyle: {
          ...Input,
          margin,
        },
        compData: {},
        operator: "",
        createTime: "",
        updateTime: "",
      },
      {
        compCode: "CountDown",
        compName: "倒计时",
        compIcon: "el-icon-takeaway-box",
        compDescribe: "",
        compConfig: {},
        compStyle: {
          ...CountDown,
          margin,
        },
        compData: {},
        operator: "",
        createTime: "",
        updateTime: "",
      },
      {
        compCode: "List",
        compName: "滚动列表",
        compIcon: "el-icon-takeaway-box",
        compDescribe: "",
        compStyle: {},
        compStyle: {
          ...List,
          margin,
        },
        compData: {},
        operator: "",
        createTime: "",
        updateTime: "",
      },
      {
        compCode: "MallList",
        compName: "营销列表",
        compIcon: "el-icon-takeaway-box",
        compDescribe: "",
        compConfig: {},
        compStyle: {
          ...MallList,
          margin,
        },
        compData: {},
        operator: "",
        createTime: "",
        updateTime: "",
      },
      {
        compCode: "Placeholder",
        compName: "占位符",
        compIcon: "el-icon-takeaway-box",
        compDescribe: "",
        compConfig: {},
        compStyle: {
          height: 40,
          margin,
        },
        compData: {},
        operator: "",
        createTime: "",
        updateTime: "",
      },
      // Turntable: {
      //   compCode: "Turntable",
      //   compName: "Turntable",
      //   compIcon: "el-icon-takeaway-box",
      //   compDescribe: "",
      //   compStyle: {},
      //   compStyle: {
      //     // ...MallList
      //   },
      //   compData: {},
      //   operator: "",
      //   createTime: "",
      //   updateTime: ""
      // },

      {
        compCode: "ButtonList",
        compName: "按钮",
        compIcon: "el-icon-takeaway-box",
        compDescribe: "",
        compConfig: {},
        compStyle: {
          ...Button,
          margin,
        },
        compData: {},
        operator: "",
        createTime: "",
        updateTime: "",
      },
      {
        compCode: "Rides",
        compName: "定位符",
        compIcon: "el-icon-takeaway-box",
        compDescribe: "",
        compConfig: {},
        compStyle: {
          top: 10, //距顶距离
          left: 10, //距左距离
          color: "#999", // 颜色
          bgColor: "#333",
          text: "活动规则", // 文字
          radius: 10, // 圆角
          width: 60, // 宽高
          height: 40,
          alignText: "center", // 文字居中居左
          ridesTop: true,
          margin,
        },
        compData: {},
        operator: "",
        createTime: "",
        updateTime: "",
      },
      {
        compCode: "TabMarke",
        compName: "营销列表",
        compIcon: "el-icon-takeaway-box",
        compDescribe: "",
        compConfig: {},
        compStyle: {
          showIcon: true, //是否显示分区图标
          //导航图标
          list: [
            {
              name: "默认名称",
              num: "0",
              icon: "more-o",
              doubleRow: "2", //是否双列
              list: [],
            },
          ],
          margin,
        },
        compData: {},
        operator: "",
        createTime: "",
        updateTime: "",
      },
    ],
  },
];
export default {
  moduleList,
  PageGlobal,
  Font,
  // time
};
